curl --request POST \
--url 'https://api.stateset.com/api/v1/backorders' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expected_date": "2026-08-31T14:22:05Z",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_line_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"priority": "string",
"promised_date": "2026-08-31T14:22:05Z",
"quantity": "string",
"sku": "SKU-TENT-2P-GRN"
}'
{
"backorder_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expected_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"priority": "string",
"promised_date": "2026-08-31T14:22:05Z",
"quantity_fulfilled": "string",
"quantity_ordered": "string",
"quantity_remaining": "string",
"sku": "SKU-TENT-2P-GRN",
"status": "pending"
}
Create a backorder
Create a backorder
POST
/
api
/
v1
/
backorders
curl --request POST \
--url 'https://api.stateset.com/api/v1/backorders' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expected_date": "2026-08-31T14:22:05Z",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_line_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"priority": "string",
"promised_date": "2026-08-31T14:22:05Z",
"quantity": "string",
"sku": "SKU-TENT-2P-GRN"
}'
{
"backorder_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expected_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"priority": "string",
"promised_date": "2026-08-31T14:22:05Z",
"quantity_fulfilled": "string",
"quantity_ordered": "string",
"quantity_remaining": "string",
"sku": "SKU-TENT-2P-GRN",
"status": "pending"
}
Request body
CreateBackorderRequest
string
required
string,null
RFC 3339 expected availability date.
string,null
string
required
string,null
string,null
One of
low, normal, high, critical.string,null
RFC 3339 date promised to the customer.
string
required
Decimal quantity as a string.
string
required
Response
BackorderResponse
string
required
string
required
string
required
string,null
string
required
string
required
string
required
string,null
string
required
string
required
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/backorders' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expected_date": "2026-08-31T14:22:05Z",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_line_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"priority": "string",
"promised_date": "2026-08-31T14:22:05Z",
"quantity": "string",
"sku": "SKU-TENT-2P-GRN"
}'
{
"backorder_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expected_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"priority": "string",
"promised_date": "2026-08-31T14:22:05Z",
"quantity_fulfilled": "string",
"quantity_ordered": "string",
"quantity_remaining": "string",
"sku": "SKU-TENT-2P-GRN",
"status": "pending"
}
Last modified on August 31, 2026